<mipdefs>
	<descriptor_set name="DEBUG" descriptor="0xFD">
		<field descriptor="0x01" name="Unlock Debug Mode" proprietary="true">
			<param name="security_key" index="0" type="u32" />
			<enum name="UnlockLevel" type="u8">
				<value name="LOCKED" value="0" />
				<value name="UNLOCKED" value="1" />
				<value name="FULL_ACCESS" value="255" />
			</enum>
			<param name="unlock_level" index="4" type="UnlockLevel" />
		</field>
		<field descriptor="0x02" name="Debug Access Memory" proprietary="true" functions="WR">
			<param name="address" index="0" type="u32" functions="WR" />
			<param name="length" index="4" type="u8" functions="WR" />
			<param name="data" index="5" type="u8" count="length" />
			<response descriptor="0x82">
				<param name="address" index="0" type="u32" />
				<param name="length" index="4" type="u8" />
				<param name="data" index="5" type="u8" count="length" />
			</response>
		</field>
		<field descriptor="0x03" name="Debug Call Function" proprietary="true">
			<param name="address" index="0" type="u32" />
			<param name="register_mask" index="4" type="u32" />
			<param name="reserved" index="8" type="u8" />
			<param name="num_params" index="9" type="u8" />
			<param name="parameters" index="10" type="u32" count="num_params" />
			<response descriptor="0x83">
				<param name="address" index="0" type="u32" />
				<param name="register_mask" index="4" type="u32" />
				<param name="reserved" index="8" type="u8" />
				<param name="num_params" index="9" type="u8" />
				<param name="parameters" index="10" type="u32" count="num_params" />
			</response>
		</field>
		<field descriptor="0x04" name="Debug Allocate Memory" proprietary="true">
			<enum name="Action" type="s8">
				<value name="ALLOCATE" value="1" />
				<value name="FREE" value="-1" />
			</enum>
			<param name="action" index="0" type="Action" />
			<param name="parameter" index="1" type="u32" />
			<response descriptor="0x84">
				<param name="action" index="0" type="Action" />
				<param name="address" index="1" type="u32" />
			</response>
		</field>
	</descriptor_set>
</mipdefs>
